# LightZone
[![Build status](https://ci.appveyor.com/api/projects/status/github/ktgw0316/LightZone?branch=testing?svg=true)](https://ci.appveyor.com/project/ktgw0316/lightzone/branch/testing)

LightZone (www.lightzoneproject.org) is a professional-level digital darkroom and photo editor for Mac, Windows, and Linux. It includes RAW processing and editing. Rather than using layers in the way that other photo editors do, LightZone lets the user build up a stack of tools which can be rearranged, readjusted, turned off and on, and removed  from the stack.  It's a completely non-destructive editor, where any of the tools can be re-adjusted or modified later — even in a different editing session. A tool stack can even be copied to a batch of photos at one time. LightZone always operates in a 16-bit linear color space with the wide gamut of ProPhoto RGB.

## Feature List
Lightzone has advanced features including:

* Ability to read RAW files for a variety of cameras and display the metadata (e.g. exposure, ISO, flash, etc.)
* Rating of images for one to five stars
* Batch processing of files
* Range of available style filters (e.g. Alien Infrared, Skin Glow, Polarizer, etc.)
* Non-destructive tools including relight, sharpen, gaussian blur, hue/saturation, color balance, white balance, black & white, noise reduction, clone, spot, red eyes
* Editing modes include crop, rotation, and region
* Raw tone curve modification


## Resources
* Video training is available on the LightZone Youtube channel (https://www.youtube.com/channel/UCGob3KtUcRJqz-GwA5Owbdg)
* Tutorial on the LightZone ZoneMapper tool (http://doonster.blogspot.com/2008/01/lightzone-zonemapper-primer-for-curves.html)
* Understanding & Using Ansel Adam's Zone System (http://photography.tutsplus.com/tutorials/understanding-using-ansel-adams-zone-system--photo-5607)
* Zone System on Wikipedia (http://en.wikipedia.org/wiki/Zone_System)
* Other training resources are available at the LightZone Learning Center (http://lightzoneproject.org/node/35/)
